<?php
/**
 * The Banner Section
 *
 * @package Sydnee
 */

/**
 * Class sydnee_slider_section
 */
class sydnee_slider_section {
	/**
	 * Initialize Slider Section
	 */
	public function __construct() {
		add_action( 'sydnee_banner_area', array( $this, 'sydnee_banner' ) );
	}

	public function init() {

	}

	/**
	 * Slider section content.
	 *
	 * @since sydnee 0.1
	 */
	function sydnee_banner() { 
	$sydnee_slider = get_theme_mod('sydnee_slider'); 
	if($sydnee_slider == "banner") { 
	$banner_image = get_theme_mod('banner_image');?>
	<section id="banner" style="background-image: url(<?php echo esc_url($banner_image); ?>);">
		<div id="header-overlay" style="opacity: 0.6;"></div>
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="text_banner">
						<h2>
							<?php $sydnee_banner_text = get_theme_mod('sydnee_banner_text');
							echo esc_html($sydnee_banner_text);
							?>
						</h2>
						<h4>
							<?php 
						    $sydnee_banner_desc = get_theme_mod('sydnee_banner_desc');
						    echo esc_html($sydnee_banner_desc);
						    ?>
					    </h4>
					    
					    <div class="banner_btn">
						    <?php 
						    $sydnee_banner_button1 = get_theme_mod('sydnee_banner_button1');
						    $sydnee_banner_link1 = get_theme_mod('sydnee_banner_link1');
						    if($sydnee_banner_button1) { ?>
		                    <a href="<?php echo esc_url($sydnee_banner_link1); ?>" class="btn btn1"><?php echo esc_html($sydnee_banner_button1); ?></a>
		                    <?php } 
		                    $sydnee_banner_button2 = get_theme_mod('sydnee_banner_button2');
		                    $sydnee_banner_link2 = get_theme_mod('sydnee_banner_link2');
		                    if($sydnee_banner_button2) { ?>
		                    <a href="<?php echo esc_url($sydnee_banner_link2); ?>" class="btn btn2"><?php echo esc_html($sydnee_banner_button2); ?></a>
		                    <?php } ?>
	                	</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<?php } elseif($sydnee_slider == "header") { ?>
	<section id="banner" <?php if ( has_header_image() ) { ?> style="background-image:url(<?php echo esc_url( get_header_image() ); ?>)" <?php } ?>>
		<div id="header-overlay" style="opacity: 0.6;"></div>
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="banner_text">
						<h2>
							<a class="navbar-brand" style="color: #<?php echo esc_attr( get_theme_mod( 'header_textcolor' ) ); ?>" title="<?php the_title_attribute(); ?>" href="<?php echo esc_url( home_url() ); ?>">
							<?php $custom_logo_id = get_theme_mod( 'custom_logo' );
							$image  = wp_get_attachment_image_src( $custom_logo_id, 'full' );

							if ( has_custom_logo() ) { ?>
							<img src="<?php echo esc_url( $image[0] ); ?>"/>
							<?php } elseif ( display_header_text() ) {
								echo esc_html( get_bloginfo( 'name' ) );
							} ?>
						</a>
						</h2>
						<h4>
						    <?php echo esc_html( get_bloginfo( 'description' ) ); ?>
					    </h4> 
					</div>
				</div>
			</div>
		</div>
	</section>
<?php 	}
	}
}
$sydnee_slider_section = new sydnee_slider_section();