<?php
/**
 * The Blog Section
 *
 * @package Sydnee
 */

/**
 * Class sydnee_blog_section
 */
class sydnee_blog_section {
	/**
	 * Initialize Slider Section
	 */
	public function __construct() {
		add_action( 'sydnee_post_area', array( $this, 'sydnee_post' ) );
	}

	public function init() {

	}

	/**
	 * Slider section content.
	 *
	 * @since sydnee 0.1
	 */
	function sydnee_post() { ?>
	<section id="latestnews">
		<div class="container">
			<div class="latest_header">
				<h2 class="text-center">
					<?php 
					$sydnee_blog_title = get_theme_mod('sydnee_blog_title');
					echo esc_html($sydnee_blog_title);
					?>
				</h2>
				<h4 class="text-center">
					<?php 
					$sydnee_blog_desc = get_theme_mod('sydnee_blog_desc');
					echo esc_html($sydnee_blog_desc);
					?>
				</h4>
			</div>
			<div class="owl-carousel owl-blog">
			<?php $sydnee_count = wp_count_posts()->publish;
			$sydnee_query = new WP_Query(array('post_type' => 'post', 'post_status' => 'publish', 'posts_per_page' => $sydnee_count));
			if ($sydnee_query->have_posts()) : while ($sydnee_query->have_posts() ) : $sydnee_query->the_post(); ?>
				<div class="inner_card">
					<?php if(has_post_thumbnail()) : ?>
					<img src="<?php the_post_thumbnail_url(); ?>" class="img-fluid">
					<?php endif; ?>
					<div class="content">
						<span class="latest">
							<?php echo esc_html( get_the_date() ); ?>
						</span>
						<h4>
							<a title="<?php the_title_attribute(); ?>" href="<?php the_permalink(); ?>" class="tag_lat">
							         <?php the_title(); ?></a>
					    </h4>
				        <p>
				     		<a class="tag_lat1" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ); ?>"><span><?php esc_html_e('by','sydnee'); ?></span> <?php the_author(); ?></a>
				        </p>
					    <p>
					       	<a href="" class="tag_lat1">
					       		<i class="far fa-comments"></i>
					       		 <?php comments_number( '0', '1 comment', '% comments' ); ?></a>
					    </p><br>
					    <?php the_excerpt(); ?><br>
						
						<a href="<?php the_permalink(); ?>" class="btn btn-black py-2"> <?php esc_html_e('Read More','sydnee'); ?> </a>
					</div>
				</div>
				<?php endwhile; endif; 
				wp_reset_postdata(); ?>
			</div>
		</div>
	</section>
<?php 
	}
}
$sydnee_blog_section = new sydnee_blog_section();