;(function () {
	/**
	 * Run function when customizer is ready.
	 */
	wp.customize.bind('ready', function () {
		wp.customize.control('sydnee_slider', function (control) {
			/**
			 * Run function on setting change of control.
			 */
			control.setting.bind(function (value) {
				switch (value) {
					/**
					 * The select was switched to the hide option.
					 */
					case 'banner':
						/**
						 * Deactivate the conditional control.
						 */
						wp.customize.control('banner_image').activate();
						wp.customize.control('sydnee_banner_button1').activate();
						wp.customize.control('sydnee_banner_link1').activate();
						wp.customize.control('sydnee_banner_button2').activate();
						wp.customize.control('sydnee_banner_link2').activate();
						break;
					/**
					 * The select was switched to »show«.
					 */
					case 'header':
						/**
						 * Activate the conditional control.
						 */
						wp.customize.control('banner_image').deactivate();
						wp.customize.control('sydnee_banner_button1').deactivate();
						wp.customize.control('sydnee_banner_link1').deactivate();
						wp.customize.control('sydnee_banner_button2').deactivate();
						wp.customize.control('sydnee_banner_link2').deactivate();
						break;
						
					case 'no':
						wp.customize.control('banner_image').deactivate();
						wp.customize.control('sydnee_banner_button1').deactivate();
						wp.customize.control('sydnee_banner_link1').deactivate();
						wp.customize.control('sydnee_banner_button2').deactivate();
						wp.customize.control('sydnee_banner_link2').deactivate();
						break;
				}
			});
		});
	});
})();