<?php
/**
 * Sydnee functions and code
 *
 * @package Sydnee
 * @since 0.1
 *
 */
/*
 * Define constants
 */
define( 'SYDNEE_PARENT_DIR', get_template_directory() );
define( 'SYDNEE_PARENT_URI', get_template_directory_uri() );

/*
 * Load hooks.
*/
require(get_template_directory() . '/core/inc/hooks.php');
require(get_template_directory() . '/core/inc/theme-extra-function.php');
require(get_template_directory() . '/core/class-wp-bootstrap-navwalker.php');
require(get_template_directory() . '/core/about/about-sydnee-page.php');


require(get_template_directory() . '/core/class-sydnee-main.php');
require(get_template_directory() . '/core/class_nav_social_walker.php');
require(get_template_directory() . '/core/customizer/class-sydnee-customizer.php');
require(get_template_directory() . '/core/class-sydnee-home-blog.php');
require(get_template_directory() . '/core/class-sydnee-home-features.php');
require(get_template_directory() . '/core/class-sydnee-home-about.php');
require(get_template_directory() . '/core/class-sydnee-home-banner.php');

/* class for thumbnail images */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'sydnee_service_select' ) ) :
	class sydnee_service_select extends WP_Customize_Control {  
		public function render_content(){ ?>
			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
			<?php $args = array( 'post_type' => 'page', 'post_status'=>'publish'); 
				$slide_id = new WP_Query( $args ); ?>
				<select <?php $this->link(); ?> >
				<?php if($slide_id->have_posts()):
					while($slide_id->have_posts()):
						$slide_id->the_post(); ?>
						<option value= "<?php echo esc_attr(get_the_id()); ?>" <?php if($this->value()== get_the_id() ) echo 'selected="selected"';?>><?php the_title(); ?></option>
						<?php
					endwhile; 
				 endif; wp_reset_postdata(); ?>
				</select>
		<?php 
		}
	}
endif;

/**
 * Fix skip link focus in IE11.
 *
 * This does not enqueue the script because it is tiny and because it is only for IE11,
 * thus it does not warrant having an entire dedicated blocking script being loaded.
 *
 * @link https://git.io/vWdr2
 */
function sydnee_skip_link_focus_fix() {
	// The following is minified via `terser --compress --mangle -- js/skip-link-focus-fix.js`.
	?>
	<script>
	/(trident|msie)/i.test(navigator.userAgent)&&document.getElementById&&window.addEventListener&&window.addEventListener("hashchange",function(){var t,e=location.hash.substring(1);/^[A-z0-9_-]+$/.test(e)&&(t=document.getElementById(e))&&(/^(?:a|select|input|button|textarea)$/i.test(t.tagName)||(t.tabIndex=-1),t.focus())},!1);
	</script>
	<?php
}
add_action( 'wp_print_footer_scripts', 'sydnee_skip_link_focus_fix' );

/**
* display notice 
**/

if ( $pagenow == 'index.php' || $pagenow == 'themes.php' ) {
	add_action( 'admin_notices', 'sydnee_activation_notice' );
}

function sydnee_activation_notice(){
$my_theme = wp_get_theme();	
?>
    <style>
		a.reply-btn {
		    text-decoration: none;
		    display: inline-block;
		    padding: 12px;
		    color: #000;
		    font-size: 16px;
		    font-weight: 600;
		    background: #ffc107;
		}
		.hello-elementor-notice-content {
			padding: 28px;
		}
		.notice h3 {
		    font-size: 24px;
		    margin: 0 0 5px;
		    color: #fff;
		}
		.notice.updated.is-dismissible {
			padding: 15px;
		}
		a.rate-btn {
			font-size: 11px;
			text-decoration: none;
			background: #153e4d;
			padding: 3px 10px;
			color: #fff;
		}
		a.support-btn {
			margin-left: 10px;
			text-decoration: none;
		}
		.review-page {
			background: #6eb8b9 !important;
			padding: 15px;
			border-left-color: #e0f0f7 !important;
		}
		.notice.updated.is-dismissible.review-page {
			border-left: 1px solid #ccd0d4 !important;
		}
	</style>

    <div class="notice updated is-dismissible review-page">
		<div class="hello-elementor-notice-inner">
			<div class="hello-elementor-notice-content">
				<div class="row">
					<div class="col-md-8" style="width: 56%;display: inline-block;">
						<h3> <?php _e('Thank you for installing', 'sydnee'); ?> <?php echo $my_theme->get( 'Name' ); ?>
						<?php echo esc_html_e('Version - ','sydnee'); ?>
						 <?php echo esc_html( $my_theme->get('Version') ); ?>
						</h3>
						
						<p style="margin-bottom: 18px;font-size: 15px;color:#fff;"><?php 
						_e(' Are you are enjoying Sydnee? We would love to hear your feedback. Big thanks in advance.','sydnee'); ?> </p>
						<a target="_blank" class="reply-btn" href="https://wordpress.org/support/theme/sydnee/reviews/#new-post"> <?php _e('Submit a review','sydnee'); ?> </a>
						
						<a target="_blank" style="margin-left: 18px;" class="reply-btn" href="https://wordpress.org/support/theme/sydnee/"> <?php _e('Any Help?','sydnee'); ?> </a>

						<a target="_blank" class="reply-btn" style="margin-left: 18px;" href="<?php echo admin_url('/themes.php?page=about-sydnee'); ?>" > <?php _e('See Theme Preview & Import Demo Content','sydnee'); ?> </a>

					</div>

				</div>
				
			</div>
		</div>
	</div>
<?php } 


/* class for font-family */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'sydnee_Font_Control' ) ) :
class sydnee_Font_Control extends WP_Customize_Control 
{  
 public function render_content() 
 {?>
   <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
  <?php  $google_api_url = 'https://www.googleapis.com/webfonts/v1/webfonts?key=AIzaSyCEf2B8_jirXe78wunEHiuyYV0Jrqcw16g';
			//lets fetch it
			$response = wp_remote_retrieve_body( wp_remote_get($google_api_url, array('sslverify' => false )));
			if($response==''){ echo '<script>jQuery(document).ready(function() {alert("Something went wrong! this works only when you are connected to Internet....!!");});</script>'; }
			if( is_wp_error( $response ) ) {
			   echo 'Something went wrong!';
			} else {
			$json_fonts = json_decode($response,  true);
			// that's it
			$items = $json_fonts['items'];
			$i = 0; ?>
   <select <?php $this->link(); ?> >
   <?php foreach( $items as $item) { $i++; $str = $item['family']; ?>
    <option  value="<?php echo esc_attr($str); ?>" <?php if($this->value()== $str) echo 'selected="selected"';?>><?php echo esc_html($str); ?></option>
   <?php } ?>
    </select>
	<?php 
 }
}
}
endif;

function sydnee_import_files() {
	return array(
		array(
			'import_file_name'           => 'Sydnee',
			'import_file_url'            => 'https://mywebapp.in/demo_content/sydnee.WordPress.2021-05-24.xml',
			'import_widget_file_url'     => 'https://mywebapp.in/demo_content/demo.mywebapp.in-sydnee-widgets.wie',
			'import_customizer_file_url' => 'https://mywebapp.in/demo_content/sydnee-export.dat',
			'preview_url'                => 'https://demo.mywebapp.in/sydnee/',
		),
	);
}
add_filter( 'ocdi/import_files', 'sydnee_import_files' );